# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nmax/version'

Gem::Specification.new do |spec|
  spec.name          = 'nmaximal'
  spec.version       = Nmax::VERSION
  spec.authors       = ['Aleksei Kosorotov']
  spec.email         = ['alkos.network@gmail.com']

  spec.summary       = 'utility to get n maximal numbers from text stream.'
  spec.description   = 'utility to get n maximal numbers from text stream.'
  spec.homepage      = 'https://github.com/kosorotov/nmaximal'
  spec.license       = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.14'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'pry'
  spec.add_dependency 'cri'
end
